Metacat - Task #6347
Feature # 6346 (Resolved): Make # READ events available in SOLR index

Create mechanism for adding name/value pairs to the solr index
01/03/2014 09:49 AM - ben leinfelder

Status: Closed Start date: 01/03/2014
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 2.4.0 Spent time: 0.00 hour
Description

For use with getting READ even counts into the object index and also for adding semantic annotation facets into the index.
Something like this:

IndexFieldQueue.add(Identifier id, Map<String, Object> singleValueFields)
IndexFieldQueue.add(Identifier id, Map<String, <List<Object>> multiValueFields)

That would be called in the main Metacat webapp and metacat-index would be listening for these sorts of events and would add
them to the index as needed.

History

#1 - 01/03/2014 10:00 AM - ben leinfelder

- Description updated

#2 - 01/13/2014 01:46 PM - ben leinfelder
- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

See MetacatSolrindex.submit() for the method that allows you to submit the document and/or just the fields for indexing.
